commit:     3b4d206fad6b1b7e09712f7edd79fc9bc47a948a
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Fri Nov  6 10:18:24 2015 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Fri Nov  6 10:18:24 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3b4d206f

sci-libs/clfft: Version bump

Package-Manager: portage-2.2.20.1

 sci-libs/clfft/ChangeLog        |  5 ++++
 sci-libs/clfft/clfft-2.8.ebuild | 61 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/sci-libs/clfft/ChangeLog b/sci-libs/clfft/ChangeLog
index bd0c74a..05f1fd3 100644
--- a/sci-libs/clfft/ChangeLog
+++ b/sci-libs/clfft/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*clfft-2.8 (06 Nov 2015)
+
+  06 Nov 2015; Marius Brehler <[email protected]> +clfft-2.8.ebuild:
+  sci-libs/clfft: Version bump
+
   06 Nov 2015; Marius Brehler <[email protected]> clfft-9999.ebuild,
   metadata.xml:
   sci-libs/clfft: Add callback_client use flag

diff --git a/sci-libs/clfft/clfft-2.8.ebuild b/sci-libs/clfft/clfft-2.8.ebuild
new file mode 100644
index 0000000..3a6438f
--- /dev/null
+++ b/sci-libs/clfft/clfft-2.8.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils
+
+MY_PN="clFFT"
+
+DESCRIPTION="Library containing FFT functions written in OpenCL"
+HOMEPAGE="https://github.com/clMathLibraries/clFFT";
+SRC_URI="https://github.com/clMathLibraries/${MY_PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="callback_client +client examples test"
+
+RDEPEND="
+       >=sys-devel/gcc-4.6:*
+       virtual/opencl
+       dev-libs/boost"
+DEPEND="${RDEPEND}"
+#      test? (
+#              dev-cpp/gtest
+#              sci-libs/fftw:3.0
+#      )"
+
+# The tests only get compiled to an executable named Test, which is not 
recogniozed by cmake.
+# Therefore src_test() won't execute any test.
+RESTRICT="test"
+
+S="${WORKDIR}/${MY_PN}-${PV}/src"
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]]; then
+               if [[ $(gcc-major-version) -lt 4 ]] || ( [[ 
$(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) ; then
+                       die "Compilation with gcc older than 4.6 is not 
supported."
+               fi
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               $(cmake-utils_use_build callback_client CALLBACK_CLIENT)
+               $(cmake-utils_use_build client CLIENT)
+               $(cmake-utils_use_build examples EXAMPLES)
+               $(cmake-utils_use_build test TEST)
+       )
+       cmake-utils_src_configure
+}
+
+# Upstream fixed already adjusted their CMakeLists.txt. Thus, the (callback) 
client
+# is installed by cmake again with the next release.
+src_install() {
+       cmake-utils_src_install
+
+       use callback_client && dobin 
"${BUILD_DIR}/staging/clFFT-callback-client-2.8.0" 
+       use client && dobin "${BUILD_DIR}/staging/clFFT-client-2.8.0" 
+}

Reply via email to